ExecSingleton Class Reference

`#include <ThreadPool.hpp>`

## Static Public Member Functions

static tf::Executor * | instance (uint32_t numthreads)
static tf::Executor * | get ()
static void | release ()
static uint32_t | threadId (void)

## Member Function Documentation

## get()

static tf::Executor * ExecSingleton::get | ( |  | ) |

inline static

References instance().

Referenced by grk::CodeStreamCompress::compress(), grk::CompressScheduler::compress(), grk::TileProcessor::decompressT2T1(), grk::CodeStreamDecompress::decompressTile(), grk::CodeStreamDecompress::decompressTiles(), grk::WaveletFwdImpl::encode_procedure(), release(), grk::Scheduler::run(), grk::CompressScheduler::scheduleBlocks(), grk::DecompressScheduler::scheduleBlocks(), threadId(), and grk::HWY_NAMESPACE::vscheduler().

## instance()

static tf::Executor * ExecSingleton::instance | ( | uint32_t | numthreads | ) |

inline static

Referenced by get(), and grk_initialize().

## release()

static void ExecSingleton::release | ( |  | ) |

inline static

References get().

Referenced by grk_deinitialize().

## threadId()

static uint32_t ExecSingleton::threadId | ( | void |  | ) |

inline static

References get().

Referenced by grk::HWY_NAMESPACE::DecompressDcShiftIrrev::transform(), and grk::HWY_NAMESPACE::DecompressDcShiftRev::transform().

The documentation for this class was generated from the following file:

- ThreadPool.hpp